.TH descumm 6 "January 8, 2018" scummvm-tools
.SH NAME
descumm \- SCUMM script disassembler
.SH SYNOPSIS
.B descumm
.BR \-0 | \-1 | \-2 | \-3 | \-n | \-z | \-4 | \-5 | \-6 | \-7 | \-8 | \-g < \fINNN\fP >
.RB [ \-u ]
.RB [ \-o ]
.RB [ \-i ]
.RB [ \-e ]
.RB [ \-f ]
.RB [ \-w ]
.RB [ \-b ]
.RB [ \-c ]
.RB [ \-x ]
.RB [ \-h ]
.RI < script >
.SH DESCRIPTION
.B descumm
disassembles SCUMM scripts.
.PP
The first argument determines the version:
.TP
.B \-0
selects version 0 (Commodore 64)
.TP
.BR \-1 | \-2 | \-3
selects version 1, 2, or 3 respectively, with no header
.TP
.BR \-n
selects version 3, with Indy 3-specific hacks
.TP
.BR \-z
selects version 3, with Zak-specific hacks
.TP
.BR \-4 | \-5 | \-6 | \-7 | \-8
selects version 4 through 8 respectively
.TP
.BR \-g < \fINNN\fP >
selects Humongous Entertainment version \fINNN\fP (always with three
digits)
.SH OPTIONS
.TP
.BR \-u
the script is unblocked (has no headers); this is set by default for
versions 0 through 3
.TP
.BR \-o
always show offsets
.TP
.BR \-i
don't output ifs
.TP
.BR \-e
don't output else
.TP
.BR \-f
don't output else-if
.TP
.BR \-w
don't output while
.TP
.BR \-b
don't output breaks
.TP
.BR \-c
don't show opcodes
.TP
.BR \-x
don't show offsets
.TP
.BR \-h
halt on error
.SH AUTHORS
This manual page was adapted from the program usage information by
Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but
may be used by others). It was last modified for \fBscummvm-tools\fP
version 2.0.
